.button {
    display: inline-flex;
    justify-content: center;
    align-items: center;
    gap: 12px;
    border-radius: 10px;
    padding: 14px;
    background-color: var(--white);
    color: var(--blue-350);
    height: auto;
    width: auto;
    transition: .3s;
    cursor: pointer;
    position: relative;
    overflow: hidden;
    text-decoration: none;
    z-index: 3;
    white-space: nowrap;
    border: 1px solid transparent;

    @media (max-width: 576px) {
        border-radius: 8px;
    }

    svg {
        fill: var(--gray-700);
        stroke: var(--gray-700);
        width: 12px;
        height: 12px;
        flex-shrink: 0;
        transition: .3s;
    }

    a {
        color: var(--gray-700);
    }

    &:hover {
        background: linear-gradient(180deg, #FF2C4F, #E21B3C);
        color: var(--white);

        svg {
            fill: var(--white);
            stroke: var(--white);
        }

        a {
            color: var(--white);
        }
    }

}

.button_box-shadow {
    box-shadow: 1px 11px 14px rgba(227, 24, 55, 0.3);
    transition: transform .2s ease, box-shadow .2s ease;
    z-index: 2;
    border: 1px solid transparent;

    &:hover {
        transform: translateY(-2px);
        box-shadow: 1px 15px 14px rgba(227, 24, 55, 0.3);
    }
}

.button.button_red_700 {
    background: linear-gradient(180deg, #FF2C4F, #E21B3C);
    color: var(--white);

    svg {
        fill: var(--white);
        stroke: var(--white);

    }

    &:hover {
        background-color: var(--red-600);
        color: var(--white);

        svg {
            fill: var(--white);
            stroke: var(--white);
        }
    }
}

.button.button_gray_800 {
    background: linear-gradient(90deg, rgba(13, 15, 16, 0.44), rgba(13, 15, 16, 0)), linear-gradient(135deg, #22272bd4, #0d0f10);
    color: var(--white);
    border-color: transparent;


    svg {
        fill: var(--white);
        stroke: var(--white);

    }
}

.button_width_100 {
    width: 100%;
}

.button_border_red {
    border: 1px solid var(--red-700);
    color: var(--red-700);
    transition: .3s;

    &:hover {
        border: 1px solid transparent;
    }
}

.button.button_border_white {
    border-color: rgba(255, 255, 255, 0.38);

    &:hover {
        border-color: rgba(255, 255, 255, 0);
    }
}

.button-circle {
    border-radius: 50px;
    overflow: hidden;
    padding: 0;
    box-shadow: 0 0 10px 0 rgba(0, 0, 0, .1);
    border: 1px solid transparent;
}

.button-circle_size_50 {
    width: 50px;
    height: 50px;
    flex-shrink: 0;
    border-radius: 50%;
}

.botton-header {
    padding: 14px 20px;
}


.button-blick {
    position: relative;
    overflow: hidden;

    &:after {
        content: "";
        display: block;
        width: 20px;
        height: 200px;
        margin-left: 50px;
        background: var(--white);
        background: linear-gradient(
                to bottom,
                rgba(255, 255, 255, 0.5) 0%,
                rgba(255, 255, 255, 1) 50%,
                rgba(255, 255, 255, 0.5) 100%
        );
        left: -40px;
        top: -100px;
        z-index: 1;
        transform: rotate(45deg);
        position: absolute;
        animation: movingFlare 3s ease-in-out 0.05s infinite;
    }
}

.button-close {
    height: 100%;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;

    svg {
        fill: var(--gray-700);
        stroke: var(--gray-700);
        width: 100%;
        height: 100%;
        flex-shrink: 0;
        transition: .3s;
    }

    &:hover {
        svg {
            fill: var(--red-700);
            stroke: var(--red-700);
        }
    }


}

@keyframes movingFlare {
    0% {
        left: -30px;
        margin-left: 0;
    }
    30% {
        left: 110%;
        margin-left: 80px;
    }
    100% {
        left: 110%;
        margin-left: 80px;
    }
}

@import url("https://fonts.googleapis.com/css2?family=Raleway:wght@400;700&display=swap");

